var loadState = {
	preload: function () {
		//Añadimos etiqueta de carga en la pantalla
		var loadingLabel = game.add.text(game.world.centerX, 100, 'Cargando', {font: '30px arial', fill: '#ffffff' });
		loadingLabel.anchor.setTo(0.5,0.5);
		
		//Mostrar la barra de progreso
		var progressBar = game.add.sprite(game.world.centerX, 150,'progressBar');
		progressBar.anchor.setTo(0.5,0.5);
		game.load.setPreloadSprite(progressBar);
		
		//Cargar nuestros activos
		//game.load.image('player','assets/player.png');
		game.load.image('fondoEstrellas','assets/fondoEstrellasTres.png');
		//game.load.image('jugador','assets/avion.png');
		game.load.spritesheet('jugador','assets/animacionJugador.png',94,100);
		
		
		
		
		
		//game.load.image('enemigo','assets/enemigo.png');
		game.load.spritesheet('enemigo', 'assets/animacionEnemigo.png', 94, 100);
		
		
		
		
		
		game.load.spritesheet('balaJugador','assets/animacionBalaJugador.png',11,31);
		
		
		
		game.load.spritesheet('balaEnemigo','assets/animacionBalaEnemigo.png',11,31);
		
		
		
		game.load.spritesheet('explosionEnemigo','assets/animacionExplosion.png',62,62);
		
		
		
		game.load.spritesheet('explosionJugador','assets/animacionExplosion.png',62,62);
		
		
		
		
		
		game.load.image('btnUno','assets/btnUno.png');
		game.load.image('btnCero','assets/btnCero.png');
		game.load.image('btnBorrar','assets/btnBorrar.png');
		game.load.image('btnEnter','assets/btnEnter.png');
		game.load.image('btnReiniciar','assets/btnReiniciar.png');
		game.load.image('btnIniciar','assets/btnIniciar.png');
		game.load.image('btnAyuda','assets/btnAyuda.png');
		game.load.image('btnSitioWeb','assets/btnSitioWeb.png');
		game.load.image('fondoAyuda','assets/fondoAyuda.png');		
		//Cargar un nuevo activo que se usará en el menú
		game.load.image('backgroundMenu','assets/backgroundMenu.png');
		
		
		game.load.image('imagenLogo','assets/imagenLogo.png');
		
		
		
		
		game.load.audio('sonidoLaser',['assets/sonidoLaser.ogg'], ['assets/sonidoLaser.mp3']);
		game.load.audio('sonidoExplosion',['assets/sonidoExplosion.ogg'], ['assets/sonidoExplosion.mp3']);
		
		
		
		
		
		
	},
	
	create: function () {
		//Ir al estado del menucito
		game.state.start('menu');
	}
};